## qutecom 2.2~rc3.hg396~dfsg1

=== CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

cmake_minimum_required(VERSION 2.4.6)

project(wengophone)

# Global variables
set(APPLICATION_NAME QuteCom  CACHE STRING "Name of application")
set(APPLICATION_VERSION "2.2" CACHE STRING "Version of application")

# Split APPLICATION_VERSION into separate vars:
# If APPLICATION_VERSION is x.y.z, then APPLICATION_VERSION_1 will be x,
# APPLICATION_VERSION_2 will be y and so on.
set(tmp "${APPLICATION_VERSION}.0.0.0")
set(tmp_rx "([0-9]+)\\.([0-9]+)\\.([0-9]+)\\.([0-9]+).*")
string(REGEX REPLACE ${tmp_rx} "\\1" APPLICATION_VERSION_1 "${tmp}")
string(REGEX REPLACE ${tmp_rx} "\\2" APPLICATION_VERSION_2 "${tmp}")
string(REGEX REPLACE ${tmp_rx} "\\3" APPLICATION_VERSION_3 "${tmp}")
string(REGEX REPLACE ${tmp_rx} "\\4" APPLICATION_VERSION_4 "${tmp}")

# Add options values
include(DefineWengoOptions.cmake)
include(DefineInstallationPaths.cmake)
include(DefineCPackDefaults.cmake)

subdirs(
	libs/3rdparty
)

if (WIN32)
	subdirs(
		libs/3rdparty/portaudio
	)
endif (WIN32)

subdirs(
	libs/owutil
	libs/qtutil
	libs/timer
	libs/pixertool
	libs/webcam
	wifo
	libs/wenbox
	libs/owbrowser
	libs/trayicon
	libs/softupdater
	libs/sound
	libs/imwrapper
#	libs/imwrapper/src/gaim
        libs/imwrapper/src/purple
	libs/sipwrapper
	libs/sipwrapper/src/phapi
	libs/imwrapper/src/multiim
	wengophone
        crashreport
)

=== crashreport/CMakeLists.txt ===
ow_create_executable(owcrashreport)

ow_use_public_libraries(
	owutil
	owthread
	owsystem
	curl
	owqtutil
	owsettings
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}
)

# Because of UIC and MOC
ow_add_private_include_dirs(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
)

qt4_wrap_cpp(${PROJECT_NAME}_SRCS
	FtpUpload.h
	QtCrashReport.h
)

qt4_wrap_ui(${PROJECT_NAME}_SRCS
	CrashReport.ui
)

ow_add_sources(
	main.cpp
	FtpUpload.cpp
	QtCrashReport.cpp
)

if (WIN32)
	ow_add_private_libraries(
		qtmain.lib
	)
endif (WIN32)

# FIXME: This has been copied from wengophone/src/CMakeLists.txt, it would be
# nicer to avoid duplication.
if (LINUX)
	if (WENGOPHONE_RESOURCEDIR_PATH)
		ow_add_private_definitions(
			-DOW_RESOURCEDIR='"${CMAKE_INSTALL_PREFIX}/${DATA_INSTALL_DIR}"'
		)
	endif (WENGOPHONE_RESOURCEDIR_PATH)
endif (LINUX)

if (COPY_DATA_FILES_ON_CONFIGURE)
	ow_copy_dir_recursive(${CMAKE_CURRENT_SOURCE_DIR}/crashreport.xml ${DATA_COPY_DIR}/config)
endif (COPY_DATA_FILES_ON_CONFIGURE)

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/crashreport.xml
	DESTINATION ${DATA_INSTALL_DIR}/config)

if(APPLE)
    set(PROJECT_BINARY_COPY_DIR ${BUILD_DIR}/${APPLICATION_NAME}.app/Contents/MacOS/.)
endif(APPLE)

ow_create_project_binary()

=== libs/3rdparty/CMakeLists.txt ===
option(CHECK_BOOST_GCC_BUG "Check for wrong combination of Boost and GCC version" ON)

if (LINUX)
	option(FFMPEG_INTERNAL "Use internal FFmpeg" OFF)
	option(SPEEX_INTERNAL "Use internal Speex" OFF)
	option(PORTAUDIO_INTERNAL "Use internal PortAudio" ON)
	option(IAXCLIENT_INTERNAL "Use internal iaxclient" ON)
	option(SAMPLERATE_INTERNAL "Use internal libsamplerate" OFF)
	option(OSIP2_INTERNAL "Use internal oSIP" ON)
	option(CURL_INTERNAL "Use internal cURL" OFF)
	option(LIBPURPLE_INTERNAL "Use internal libpurple" ON)
else (LINUX)
	option(PORTAUDIO_INTERNAL "Use internal PortAudio" ON)
	option(FFMPEG_INTERNAL "Use internal FFmpeg" ON)
	option(SPEEX_INTERNAL "Use internal Speex" ON)
	option(IAXCLIENT_INTERNAL "Use internal iaxclient" ON)
	option(SAMPLERATE_INTERNAL "Use internal libsamplerate" ON)
	option(OSIP2_INTERNAL "Use internal oSIP" ON)
	option(CURL_INTERNAL "Use internal cURL" ON)
	option(LIBPURPLE_INTERNAL "Use internal libpurple" ON)
endif (LINUX)

if (WIN32)
	if (FFMPEG_OLD_VERSION)
		subdirs(
			ffmpeg-bin-win32
		)
	else (FFMPEG_OLD_VERSION)
		subdirs(
			ffmpeg
		)
	endif (FFMPEG_OLD_VERSION)
else (WIN32)
	subdirs(
		ffmpeg
	)
endif (WIN32)

subdirs(
	pthread
	libstdcpp
	boost
	boost-test
	qt4
	libintl
	glib
	openssl
	curl
	alsa
	arts
	esd
#	ffmpeg
	tinyxml
	libxml
	gnutls
	iconv
	zlib
	libpurple
#	gaim
	uuid
	x11
	python
	samplerate
	sndfile
	#iaxclient
	psiidle
)

if (ENABLE_CRASHREPORT)
	subdirs(
		googlebreakpad
	)
endif (ENABLE_CRASHREPORT)

#if (LINUX)
#	subdirs(
#		coredumper
#	)
#endif (LINUX)

=== libs/imwrapper/CMakeLists.txt ===
ow_create_static_library(owimwrapper)

# TODO: test
#subdirs(
	#src/gaim
	#src/multiim
	#src/tests
#)

ow_use_public_libraries(
	owsettings
	glib2
)

ow_use_private_libraries(
	tinyxml
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_sources(
	src/Account.cpp
	src/EnumIMProtocol.cpp
	src/EnumPresenceState.cpp
	src/IMAccount.cpp
	src/IMAccountList.cpp
	src/IMAccountListFileStorage.cpp
	src/IMAccountListXMLSerializer.cpp
	src/IMAccountListXMLSerializer1.cpp
	src/IMAccountParameters.cpp
	src/IMAccountParametersXMLSerializer.cpp
	src/IMAccountXMLSerializer.cpp
	src/IMAccountXMLSerializer1.cpp
	src/IMChatSession.cpp
	src/IMContact.cpp
	src/IMContactSet.cpp
	src/IMContactXMLSerializer.cpp
	src/IMContactXMLSerializer1.cpp
	src/IMWrapperFactory.cpp
)

ow_create_project_binary()

=== libs/owbrowser/CMakeLists.txt ===
ow_create_static_library(owbrowser)

ow_use_public_libraries(
	owutil
	qt4
)

ow_use_private_libraries(
	owqtutil
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_sources(
	src/QtBrowser.cpp
)

qt4_wrap_cpp(${PROJECT_NAME}_SRCS
	include/owbrowser/QtBrowser.h
)

ow_create_project_binary()

=== libs/owutil/CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

if (OWUTIL_MODULE)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/boost libs/3rdparty/boost)
	add_subdirectory(libs/3rdparty/boost)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/boost-test libs/3rdparty/boost-test)
	add_subdirectory(libs/3rdparty/boost-test)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/openssl libs/3rdparty/openssl)
	add_subdirectory(libs/3rdparty/openssl)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/tinyxml libs/3rdparty/tinyxml)
	add_subdirectory(libs/3rdparty/tinyxml)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/uuid libs/3rdparty/uuid)
	add_subdirectory(libs/3rdparty/uuid)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/curl libs/3rdparty/curl)
	add_subdirectory(libs/3rdparty/curl)
endif (OWUTIL_MODULE)

set(LIBUTIL_INCLUDE_DIRS
	${CMAKE_CURRENT_SOURCE_DIR}
)

subdirs(
	cutil
	util
	serialization
	serializer
	thread
	settings
	shlibloader
	socket
	system
	http
)

if (ENABLE_CRASHREPORT)
	subdirs(
		memorydump
	)
endif (ENABLE_CRASHREPORT)

=== libs/pixertool/CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

if (PIXERTOOL_MODULE)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/ffmpeg libs/3rdparty/ffmpeg)
	add_subdirectory(libs/3rdparty/ffmpeg)
	set(OWUTIL_MODULE TRUE)
	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owutil/trunk libs/owutil)
	add_subdirectory(libs/owutil)
endif (PIXERTOOL_MODULE)

ow_create_static_library(pixertool)

ow_use_public_libraries(
	owcutil
	ffmpeg
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
	${CMAKE_CURRENT_BINARY_DIR}
)

ow_add_sources(
	src/pixertool.cpp
	src/ffmpeg/ffmpeg-pixertool.c
)

if (SWSCALE_INCLUDE_DIR)
  ow_add_private_definitions(-DHAVE_SWSCALE=1)
endif (SWSCALE_INCLUDE_DIR)

if (MSVC)
	ow_add_private_libraries(
		winmm
		strmiids
		comsupp
	)

	ow_add_sources(
		src/directx/directx-pixertool.cpp
	)
endif (MSVC)

if (UNIX AND NOT WIN32)
	if (APPLE)
		ow_add_sources(
			src/quicktime/quicktime-pixertool.c
		)
	else (APPLE)
		ow_add_sources(
			src/v4l/v4l-pixertool.c
			src/v4l2/v4l2-pixertool.c
		)
	endif(APPLE)
endif (UNIX AND NOT WIN32)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

ow_create_project_binary()

=== libs/qtutil/CMakeLists.txt ===
ow_create_static_library(owqtutil)

ow_use_public_libraries(
	owthread
	qt4
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

# Because of UIC and MOC
ow_add_private_include_dirs(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
)

qt4_wrap_cpp(${PROJECT_NAME}_SRCS
	include/qtutil/EventFilter.h
	include/qtutil/QObjectThreadSafe.h
	include/qtutil/NonResizeableWidget.h
	include/qtutil/WengoStyleLabel.h
	include/qtutil/ToolTipLineEdit.h
	include/qtutil/ClickableLabel.h
	include/qtutil/Wizard.h
	include/qtutil/ThreadEventFilter.h
	include/qtutil/AnimatedButton.h
	include/qtutil/UpQComboBox.h
	include/qtutil/LinkLabel.h
	include/qtutil/ScrollFrame.h
	include/qtutil/ImageSelector.h
	include/qtutil/DropDownWindow.h
	include/qtutil/ClearLineEdit.h
	src/QtThumbnailManager.h
	src/QtThumbnailDirModel.h
)

qt4_wrap_ui(${PROJECT_NAME}_SRCS
	src/Wizard.ui
	src/ImageSelector.ui
)

qt4_add_resources(${PROJECT_NAME}_SRCS
	qtutil.qrc
)

ow_add_sources(
	src/EventFilter.cpp
	src/KeyEventFilter.cpp
	src/MouseEventFilter.cpp
	src/PaintEventFilter.cpp
	src/EnabledChangeEventFilter.cpp
	src/WidgetFactory.cpp
	src/Object.cpp
	src/QObjectThreadSafe.cpp
	src/ResizeEventFilter.cpp
	src/NonResizeableWidget.cpp
	src/StringListConvert.cpp
	src/Widget.cpp
	src/WengoStyleLabel.cpp
	src/ToolTipLineEdit.cpp
	src/ClickableLabel.cpp
	src/WidgetBackgroundImage.cpp
	src/Wizard.cpp
	src/ThreadEventFilter.cpp
	src/PixmapMerging.cpp
	src/SafeConnect.cpp
	src/LanguageChangeEventFilter.cpp
	src/CloseEventFilter.cpp
	src/AnimatedButton.cpp
	src/DesktopService.cpp
	src/UpQComboBox.cpp
	src/LinkLabel.cpp
	src/ScrollFrame.cpp
	src/ImageSelector.cpp
	src/ThumbnailView.cpp
	src/QtThumbnailDirModel.cpp
	src/QtThumbnailManager.cpp
	src/WidgetRatioEnforcer.cpp
	src/WidgetUtils.cpp
	src/ExpandButton.cpp
	src/OsdButton.cpp
	src/FSResourceFileEngineHandler.cpp
	src/KeywordTranslator.cpp
	src/DropDownWindow.cpp
	src/IconLineEdit.cpp
	src/ClearLineEdit.cpp
)

if (APPLE)
	ow_add_sources(
		src/MacDesktopService.cpp
	)
	qt4_wrap_cpp(${PROJECT_NAME}_SRCS
		include/qtutil/MacDesktopService.h
	)
	ow_add_private_include_dirs(
		/Developer/Headers/FlatCarbon/
	)
	ow_use_public_frameworks(
		Cocoa
		Carbon
	)
endif (APPLE)

if (WIN32)
	if (MINGW)
		ow_add_private_definitions(
			-DWINVER=0x500
			-D_WIN32_IE=0x500
		)
	endif (MINGW)

	ow_add_sources(
		src/WindowsDesktopService.cpp
	)
	qt4_wrap_cpp(${PROJECT_NAME}_SRCS
		include/qtutil/WindowsDesktopService.h
	)
endif (WIN32)

if (LINUX)
	ow_use_private_libraries(
		x11
	)
endif (LINUX)

subdirs(
	tests
)

ow_create_project_binary()

=== libs/sound/CMakeLists.txt ===
ow_create_static_library(owsound)

ow_use_public_libraries(
	owthread
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_private_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/src
)

ow_add_sources(
	src/AudioDevice.cpp
	src/VolumeControl.cpp
	src/EnumDeviceType.cpp
	src/Sound.cpp
)

if (OWSOUND_PORTAUDIO_SUPPORT)
	ow_add_public_definitions(
		-DOWSOUND_PORTAUDIO_SUPPORT=1
	)
endif (OWSOUND_PORTAUDIO_SUPPORT)

if (WIN32)
	ow_add_private_libraries(
		winmm
		advapi32
	)

	ow_add_sources(
		src/win32/Sound.cpp
		src/win32/Win32VolumeControl.cpp
		src/win32/Win32AudioDevice.cpp
		src/win32/SoundThread.cpp
		src/win32/Win32AudioDeviceId.cpp
		src/win32/playsound/SoundFile.cpp
		src/win32/playsound/PlaySoundFile.cpp
	)

	if (OWSOUND_PORTAUDIO_SUPPORT)
		ow_add_sources(
			src/portaudio/AudioDeviceManager.cpp
		)
		ow_use_private_libraries(
			portaudio
		)
	else (OWSOUND_PORTAUDIO_SUPPORT)
		ow_add_sources(
			src/win32/AudioDeviceManager.cpp
		)
	endif(OWSOUND_PORTAUDIO_SUPPORT)
endif (WIN32)

if (APPLE)
	ow_add_sources(
		src/mac/AudioDeviceManager.cpp
		src/mac/CoreAudioUtilities.cpp
		src/mac/MacAudioDevice.cpp
		src/mac/MacSound.cpp
		src/mac/MacVolumeControl.cpp
		src/mac/Sound.cpp
	)
	ow_use_public_frameworks(
		AudioToolBox
		AudioUnit
		CoreAudio
		Cocoa
	)
endif (APPLE)

if (LINUX)
	ow_use_private_libraries(
		alsa
		sndfile
	)
	ow_add_sources(
		src/linux/AudioDeviceManager.cpp
		src/linux/LinuxAudioDevice.cpp
		src/linux/LinuxVolumeControl.cpp
		src/linux/LinuxSound.cpp
		src/linux/Sound.cpp
		src/linux/alsa_mixer.cpp
		src/linux/alsa_sndfile.cpp
	)
endif (LINUX)

ow_create_project_binary()

if (APPLE)
	set_target_properties(${PROJECT_NAME}
		PROPERTIES
			COMPILE_FLAGS "-x objective-c++"
	)
endif (APPLE)

subdirs(
	tests
)

=== libs/trayicon/CMakeLists.txt ===
ow_create_static_library(owtrayicon)

ow_use_public_libraries(
	qt4
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}
)

qt4_wrap_cpp(owtrayicon_SRCS
	trayicon.h
)

ow_add_sources(
	trayicon.cpp
)

if (WIN32)
	ow_add_sources(
		trayicon_win.cpp
	)
endif (WIN32)

if (UNIX AND NOT WIN32)
	if (APPLE)
		ow_add_sources(
			trayicon_mac.cpp
		)
	else (APPLE)
		ow_add_sources(
			trayicon_x11.cpp
		)

		ow_use_private_libraries(
			x11
		)
	endif (APPLE)
endif (UNIX AND NOT WIN32)

subdirs(
	test
)

ow_create_project_binary()

=== libs/webcam/CMakeLists.txt ===
include(CMakeLists-owbuild.txt)

if (WEBCAM_MODULE)
	set(PIXERTOOL_MODULE TRUE)

	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owpixertool/trunk libs/pixertool)
	add_subdirectory(libs/pixertool)

	ow_svn_checkout(https://dev.openwengo.com/svn/openwengo/owbuild/trunk/libs-3rdparty-cmakelists/qt4/ libs/qt4)
       	add_subdirectory(libs/qt4)
endif (WEBCAM_MODULE)

ow_create_shared_library(webcam)

ow_use_public_libraries(
	owutil
	pixertool
	owthread
)

if (WIN32)
ow_add_private_definitions(
	-DWEBCAM_DLL
	-DBUILD_WEBCAM_DLL
)
endif (WIN32)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_sources(
	src/WebcamDriver.cpp
	src/webcam.cpp
)

if (UNIX AND NOT WIN32 OR APPLE)
	ow_use_public_libraries(
		owthread
	)
endif (UNIX AND NOT WIN32 OR APPLE)

if (MSVC)
	ow_add_private_libraries(
		winmm
		strmiids
		comsuppw
	)

	if (MSVC80)
		# Solve link error atlthunk.lib when using Visual C++ 2005 Express
		ow_add_private_link_flags(
			/nodefaultlib:atlthunk.lib
		)
	endif (MSVC80)

	ow_add_sources(
		src/directx/DirectXWebcamDriver.cpp
		src/directx/DirectXWebcamUtils.cpp
	)
else (MSVC)
if (UNIX AND NOT WIN32)
	if (APPLE)
		ow_use_public_frameworks(
			Carbon
			CoreFoundation
			CoreServices
			QuickTime
		)

		ow_add_sources(
			src/quicktime/QuicktimeWebcamDriver.cpp
		)

		ow_add_private_link_flags(
			# avoid a -multi_module error (see http://gcc.gnu.org/ml/gcc/2005-06/msg00184.html)
			-Wl,-single_module
			# avoid a "has local relocation entries in non-writable section" (see http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/2006-October/017814.html)
			-read_only_relocs suppress
		)
	else (APPLE)
		ow_add_sources(
			src/v4l/V4LWebcamDriver.cpp
			src/v4l2/V4L2WebcamDriver.cpp
		)
	endif (APPLE)
else (UNIX AND NOT WIN32)
	ow_add_sources(
		src/null/NullWebcamDriver.cpp
	)
endif (UNIX AND NOT WIN32)
endif (MSVC)

ow_create_project_binary()

subdirs(
	tests
)

=== libs/wenbox/CMakeLists.txt ===
ow_create_static_library(owwenbox)

if (MSVC)
	subdirs(src/yealink)
endif (MSVC)

ow_use_public_libraries(
	owutil
)

ow_use_private_libraries(
	owshlibloader
)

ow_add_public_include_dirs(
	${CMAKE_CURRENT_SOURCE_DIR}/include
)

ow_add_sources(
	src/Wenbox.cpp
)

ow_create_project_binary()

=== debian/changelog ===
qutecom (2.2~rc3.hg396~dfsg1-6ubuntu2) maverick; urgency=low

  * add missing include to unbreak breakpad plugin

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 25 Jul 2010 00:31:53 +0200

qutecom (2.2~rc3.hg396~dfsg1-6ubuntu1) maverick; urgency=low

  * Fix FTBFS with FFmpeg 0.6, LP: #605162
    Patch taken from upstream, see launchpad reference for details

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 24 Jul 2010 17:30:53 +0200

qutecom (2.2~rc3.hg396~dfsg1-6build1) maverick; urgency=low

  * Rebuild for FFmpeg 0.6

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Jul 2010 05:55:44 +0200

qutecom (2.2~rc3.hg396~dfsg1-6) unstable; urgency=low

  * Add fix-binutils-gold.patch for building with binutils-gold.
    Closes: #556311.
  * Add libpurple-glib.patch and purple-wait-init.patch for fixing crash with
    external liburple.
  * Compile against external libpurple (CVE-2010-0423, CVE-2010-0420,
    CVE-2010-0277). Closes: #559785, #572946.
  * Update Standards-Version to 3.8.4.

 -- Ludovico Cavedon <cavedon@debian.org>  Tue, 09 Mar 2010 20:35:47 +0100

qutecom (2.2~rc3.hg396~dfsg1-5) unstable; urgency=low

  * Remove calls to quilt from debian/rules in order to allow unpacking with
    dpkg from lenny.

 -- Ludovico Cavedon <cavedon@debian.org>  Fri, 01 Jan 2010 22:16:04 +0100

qutecom (2.2~rc3.hg396~dfsg1-4) unstable; urgency=low

  * Change Uploader to debian email and remove DM-Upload-Allowed.
  * Switch to source format 3.0 (quilt).
  * Remove the generic/debian/head hierarchy in debina/patches and use DEP-3
    for every patch.
  * Add force-palette.patch: ability to force a numeric webcam palette with
    OWWEBCAM_FORCE_PALETTE environment variable.
  * Add fix-codec-name.patch, for fixing wrong plette name in debug output.

 -- Ludovico Cavedon <cavedon@debian.org>  Mon, 21 Dec 2009 17:44:46 +0100

qutecom (2.2~rc3.hg396~dfsg1-3) unstable; urgency=low

  * Update Standards-Version to 3.8.3.
  * Raise depend on cmake to version 2.6 (needed for handling libqt-dbus).
  * Make Vcs-Browser point to the same location as Vcs-Svn.
  * Add wenogophone transitional package. Closes: #550147.
  * Add generic/track-sipaccount-init.patch for preventing segfault when
    another qutecom is running. Closes: #550947
  * Add head/fix-build-newer-ffmpeg.patch to avoid FTBFS with the newer ffmpeg
    libraries.
  * Add correct support for "noopt" in DEB_BUILD_OPTIONS.
  * Add generic/cleanlook-startup-fix.patch: tentative fix for startup freeze
    (#546852).

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Fri, 13 Nov 2009 01:31:57 -0800

qutecom (2.2~rc3.hg396~dfsg1-2) unstable; urgency=low

  * Add generic/google-breakpad-gcc44.patch: fix FTBFS with GCC 4.4 on i386.
  * Remove duplicated depends on debhelper.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Wed, 10 Jun 2009 11:26:38 -0700

qutecom (2.2~rc3.hg396~dfsg1-1) unstable; urgency=low

  * New upstream snapshot (should become release 2.2). Closes: #527929.
  * Use "~dfsg" instead of ".dfsg" (lintian: dfsg-version-with-period)
  * Revert dependency on unversioned boost libraries. Closes: #531117
  * Remove unneeded dependency on boost-regex.
  * get-orig-source.sh:
    - add support for upstream HG snapshots
    - no longer remove gaim and coredumper (removed upstream)
    - remove MSVC libraries
    - remove duplicated tinyxml code.
  * Remove paches merged upstream:
    - head/cmake-swscale.patch
    - head/allow_bound_sign.patch
    - head/fix-ringing.patch
    - head/background_css.patch
    - generic/cmake-install-missing-endif.patch
    - generic/imwrapper-safe-reinit.patch
    - generic/ffmpeg-api-52.patch
    - generic/wengophone-thread-destruction.patch
    - generic/boost_1_37.patch
    - generic/pixelfromat.patch
    - generic/libpurple_debug.patch
    - generic/accept_certificate.patch
    - generic/fix-ring-pulseaudio.patch
    - generic/fix-alsa-mixer.patch
    - generic/gcc-4.4.patch

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Sun, 17 May 2009 16:19:40 -0700

qutecom (2.2~rc3.dfsg1-6) unstable; urgency=low

  * qutecom-data: Recommends instead of Depends on qutecom. Closes: #524614.
  * Update copyright with authors from
    http://trac.qutecom.org/wiki/QuteComTeam.
  * Add head/fix-ringing.patch (LP: #364907)
  * Add generic/fix-ring-pulseaudio.patch: fix notification sounds when
    pulseaudio is used.
  * Add generic/fix-alsa-mixer.patch: fix handling of audio mixer devices.
  * Add generic/gcc-4.4.patch from Ubuntu: fix build with GCC 4.4.
    Closes: #526213.
  * Allow DM upload.

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Thu, 30 Apr 2009 23:46:15 -0700

qutecom (2.2~rc3.dfsg1-5) unstable; urgency=low

  [ Ludovico Cavedon ]
  * Use newer Boost libraries.
  * Update README.Debian about video support. 
  * Add generic/boost_1_37.patch for correct detection of boost libraries.
  * Updating Standards-Version to 3.8.1.
  * Add patch generic/pixelformat.patch: compilation fix, required by newer
    ffmpeg libs. Closes: #521493.
  * Update debhelper compatibility to 7.
  * generic/libpurple_debug.patch: add OW_PURPLE_DEBUG
    environment variable to enable libpurple debugging.
  * Require libqt4 at least version 4.3. 
  * head/allow_bound_sign.patch: allow # in sip address. Closes: #512054 
  * Move back manpage, menu icon and desktop file to the qutecom package and
    remove lintian overrides.

  [ Marco Nenciarini ]
  *  Upload in unstable.

 -- Marco Nenciarini <mnencia@debian.org>  Mon, 06 Apr 2009 10:23:33 +0200

qutecom (2.2~rc3.dfsg1-4) experimental; urgency=low

  * Fix rules for correctly building binary package without building
    arch-independent package.
  * Add Replaces field to qutecom-data to correct handle upgrades from
    previuos versions.
  * This upload still needs to go through NEW. Closes: #502151 

 -- Ludovico Cavedon <ludovico.cavedon@gmail.com>  Wed, 11 Feb 2009 14:15:51 -0800

qutecom (2.2~rc3.dfsg1-3) experimental; urgency=low



=== debian/control ===
Source: qutecom
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>, Ludovico Cavedon <cavedon@debian.org>
Build-Depends: cdbs (>= 0.4.27), bzip2, debhelper (>= 7), quilt,
 patchutils (>= 0.2.25), cmake (>= 2.6), libqt4-dev (>= 4.3),
 libglib2.0-dev (>= 2.10.3), libavcodec-dev (>= 0.cvs20060823-3.1),
 libswscale-dev (>= 0.cvs20060823-3.1), libgnutls-dev (>= 1.2.9),
 libboost-serialization-dev, libboost-thread-dev, libboost-signals-dev,
 libboost-program-options-dev, uuid-dev,
 libasound2-dev (>= 1.0.11), libspeex-dev (>= 1.1.12), libssl-dev (>= 0.9.8a),
 libxml2-dev (>= 2.6.24), libsamplerate0-dev (>= 0.1.2),
 libsndfile1-dev (>= 1.0.12), libcurl4-openssl-dev (>= 7.16.1),
 dpkg-dev (>= 1.13.19), libx11-dev, python-dev, libpurple-dev (>= 2.6.6)
Build-Conflicts: qt3-dev-tools
Standards-Version: 3.8.4
Homepage: http://www.qutecom.org/
Vcs-Svn: svn://svn.debian.org/pkg-voip/qutecom/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-voip/qutecom/trunk/?op=log

Package: qutecom
Architecture: any
Depends: qutecom-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: wengophone, qutecom-data (<< 2.2~rc3.dfsg1-5)
Description: SIP-based software telephone with video and chat features
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.

Package: qutecom-data
Architecture: all
Depends: ${misc:Depends}
Recommends: qutecom (>= ${source:Version})
Replaces: wengophone, qutecom (<< 2.2~rc3.dfsg1-3)
Description: SIP-based software telephone with video and chat features (data files)
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package contains architecture independet data, like images and sounds.

Package: qutecom-dbg
Architecture: any
Section: debug
Priority: extra
Depends: qutecom (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SIP-based software telephone with video and chat features (debug files)
 QuteCom is a Voice-over-IP application based on standard protocols like SIP
 and RTP. It enables voice, video and text chat between two clients. Features
 include a contact list with multi-protocol presence and status, call history
 and NAT traversal capability.
 .
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package contains debug symbols, useful to debug qutecom.

Package: wengophone
Architecture: all
Depends: qutecom (>= ${source:Version}), ${misc:Depends}
Description: SIP-based software telephone with video and chat (transitional package)
 QuteCom is the new name of the WengoPhone project, after it was dropped by
 Wengo and taken on by MBDsys.
 .
 This package is empty and is made to facilitate upgrade. It can be safely
 removed.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DESTDIR=$(CURDIR)/debian/qutecom
DEB_DH_STRIP_ARGS := --dbg-package=qutecom-dbg

DEB_INSTALL_DOCS_qutecom := $(CURDIR)/wengophone/AUTHORS

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=Debug
else
	DEB_CMAKE_EXTRA_FLAGS += -DCMAKE_BUILD_TYPE=RelWithDebInfo
endif

DEB_CMAKE_EXTRA_FLAGS := -DQT_UIC_EXECUTABLE=/usr/bin/uic-qt4 \
	-DCMAKE_BUILD_WITH_INSTALL_RPATH=ON \
	-DCMAKE_INSTALL_RPATH=/usr/lib/qutecom \
	-DCMAKE_SKIP_RPATH=FALSE \
	-DOWSOUND_PORTAUDIO_SUPPORT=OFF \
	-DFFMPEG_INTERNAL=OFF \
	-DSPEEX_INTERNAL=OFF \
	-DSAMPLERATE_INTERNAL=OFF \
	-DCURL_INTERNAL=OFF \
	-DLIBPURPLE_INTERNAL=OFF \
	-DPHAPI_VIDEO_SUPPORT=ON \
	-DHAVE_SWSCALE=1


ifeq ($(DEB_HOST_ARCH), i386)
        DEB_CMAKE_EXTRA_FLAGS += -DENABLE_CRASHREPORT=ON
else
	DEB_CMAKE_EXTRA_FLAGS += -DENABLE_CRASHREPORT=OFF
endif


# Avoid postinst-has-useless-call-to-ldconfig and pkg-has-shlibs-control-file-but-no-actual-shared-libs
DEB_DH_MAKESHLIBS_ARGS_qutecom := -Xsfp

common-install-impl::
	mkdir -p $(DEB_DESTDIR)-data/usr/share/
	mv $(DEB_DESTDIR)/usr/share/* $(DEB_DESTDIR)-data/usr/share/
	mv $(DEB_DESTDIR)-data/usr/share/applications $(DEB_DESTDIR)/usr/share/

install/qutecom::
	mkdir -p $(DEB_DESTDIR)/usr/share/qutecom
	ln -s /usr/share/doc/qutecom/AUTHORS $(DEB_DESTDIR)/usr/share/qutecom

DEBVERSION:=$(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
SRCVERSION:=$(shell echo $(DEBVERSION) | sed -e 's/^.*://' -e 's/-[.0-9]*$$//')
UPVERSION:=$(shell echo $(SRCVERSION) | sed -e 's/-svn.*$$//' -e 's/[\.+~]dfsg.*$$//')

print-version:
	@@echo "Debian version:          $(DEBVERSION)"
	@@echo "Source version:          $(SRCVERSION)"
	@@echo "Upstream version:        $(UPVERSION)"

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo Downloading version $(UPVERSION)
	@@chmod +x debian/get-orig-source.sh
	debian/get-orig-source.sh $(SRCVERSION) $(UPVERSION)
